SCROLLKEEPER-UPDATE(8)

NAME
scrollkeeper-update - identify new, modified, or removed OMF files and update the scrollkeeper databases

SYNOPSIS
scrollkeeper-update [ -v ] [ -q ] [ -n ] [ -p database-directory ] [ -o omf-directories ]

DESCRIPTION
This synchronizes the scrollkeeper database with the OMF directory. It searches the scrollkeeper OMF directory to identify if any files were added, removed, or modified and updates its internal database files to reflect any changes.

This utility is generally executed as the last step of installation, after the OMF file is copied into place. It is also typically the last step of uninstallation, after the OMF file is removed. Using this, an administrator can easily manually install and uninstall documents into the database. It can also be run to guarantee the database is fully up-to-date.

Note that because scrollkeeper-update is normally run during installation and its output is typically seen by users, non-critical warnings and errors such as those caused by invalid metadata are written to the log file instead of to the terminal. Developers should use the log file to identify any problems.

OPTIONS

-v  Be verbose: Say which scrollkeeper-install and scrollkeeper-uninstall commands are being run to bring the database up to date.

-q  Run in quiet mode, suppressing output of all but the most serious warning and error messages to STDOUT. Note that most output to the log file will be unchanged.

-n  Use the network to retrieve the DTD if it is not available via the system's XML catalog.

-p database-directory
    Use database-directory as the directory for the scrollkeeper database rather than the usual one obtained by running scrollkeeper-config --pkglocalstatedir.

-o omf-directories
    Examine the directories named in omf-directories rather than the one usual one obtained by running scrollkeeper-config --omfdir (or specified in the OMF_DIR environment variable if set). The omf-directories should be a colon-separated list of directories.

ENVIRONMENT

OMF_DIR
    If no -o option is specified, this variable overrides the scrollkeeper-config-provided OMF directory. It should be a colon-separated list of directories.

FILES
/var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/TOC/<docnumber>
/var/lib/scrollkeeper/<locale>/scrollkeeper_cl.xml
/var/lib/scrollkeeper/<locale>/scrollkeeper_extended_cl.xml
/var/log/scrollkeeper.log

AUTHOR
Laszlo Kovacs <laszlo.kovacs@sun.com>
Dan Mueth <d-mueth@uchicago.edu>

SEE ALSO
scrollkeeper-config(1), scrollkeeper-gen-seriesid(1), scrollkeeper.conf(5), scrollkeeper(7), scrollkeeper-preinstall(8), scrollkeeper-rebuilddb(8)